Bug 145403 - Save-as dialog crash on auto-mounted directories
Save-as dialog crash on auto-mounted directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 19:45 EST by Itai Nahshon
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Repeated same actions in and show stack trace in gdb (7.26 KB, text/plain)
2005-01-18 05:42 EST, Itai Nahshon
no flags Details

  None (edit)
Description Itai Nahshon 2005-01-17 19:45:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
/net/p2 is NFS mounted on another computer using am-utils.
Use the "File => Save as..." menu to images opened in
NFS auto-mounted directories (no need to do any editing to the image).

-----------
[itai@itai ~]$ gimp /net/p2/big/itai-itai/Canon/2005-01-15_40/img_8469.jpg
*** glibc detected *** double free or corruption (fasttop): 0x0a7dbf40 ***
gimp: terminated: Aborted
------------

Gimp then aborts and all changes to images are lost.

It worked OK when I used the /.automount/ name:
gimp /.automount/p2/root/big/itai-itai/Canon/2005-01-15_40/img_8469.jpg
so the problem may be relaed to having symbolic links in path names.


Version-Release number of selected component (if applicable):
gimp-2.2.2-0.fc3.2

How reproducible:
Always

Steps to Reproduce:
See description

Actual Results:  Gimp aborts and all changes to images are lost.

Expected Results:  File save-as dialog box should appear

Additional info:

I don't know if this should be a separate feature request!
There must be a text-field in file dialog boxes, It is required if a
directory in the path is not readable, for auto-mounted directories or
for network files (eg., accessed using HTTP). And off-couse, to be
able to copy and paste path names with other applications.
(I was happy with the file dialogs in gimp-2.0.x).
Comment 1 Nils Philippsen 2005-01-18 03:00:49 EST
Hmm, an application shouldn't behave differently when accessing a file
over symlinks instead of directly.

Can you run gimp please with enabled core files, i.e. run "ulimit -c
unlimited" in the same shell before running gimp? It should then dump
a core file (named "core.<pid>" where <pid> is the process ID of the
process that dumped the file) which would help in debugging the error.
Mind that there's an update on the way (gimp-2.2.2-0.fc3.3) with fixes
not related to your problem. Please state whether you used -0.fc3.2 or
-0.fc3.3 when generating the core file.
Comment 2 Itai Nahshon 2005-01-18 05:42:01 EST
Created attachment 109918 [details]
Repeated same actions in and show stack trace in gdb
Comment 3 Itai Nahshon 2005-01-18 05:54:56 EST
There is a similar problem with other programs. I changed the
component to gtk2. Installed components that may have effect on
problem are:
gimp-2.2.2-0.fc3.2
gtk2-2.4.14-2.fc3
glib-1.2.10-15
glibc-2.3.4-2.fc3
Comment 4 Itai Nahshon 2005-01-24 15:41:17 EST
Is there anything that I can do to promote fixing this bug?

If there are plans for switching to gtk-2.6.x I would be happy to try
it. I's prefer using binary RPMs and not compile it myself.

Thanks!
Comment 5 Itai Nahshon 2005-02-21 01:25:13 EST
I have compiled and installed gtk+-2.6.2. That fixes he problem.
Comment 6 Matthew Miller 2006-07-10 17:47:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.